library(lmerTest)
library(lme4)

#data loading, these csv files are all from the Exp2_everyitem.csv file, it can also be done by subset function
DataExp2_SOA0 <- read.csv('Exp2_SOA0.csv')
DataExp2_VA200 <- read.csv('Exp2_VA200.csv')
DataExp2_AV200 <- read.csv('Exp2_AV200.csv')
DataExp2_AV <- read.csv('Exp2_AV.csv')
DataExp2_VA <- read.csv('Exp2_VA.csv')

#random intercept models
fmexp2_SOA0_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp2_SOA0)
fmexp2_VA500_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp2_VA200)
fmexp2_AV500_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp2_AV200)
fmexp2_VA_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp2_VA)
fmexp2_AV_2 <- lmer(logRT_SOA ~ ZDistance + ZPSdigit + ZPSauditory + (1| subjectID), data = DataExp2_AV)

summary() #<- use summary function to see the LMM fitting result of each SOA condition

library(MuMIn) #for R squared results
r.squaredGLMM()